Generate a Report

Generate a Report

All of the reports can be generated via one single endpoint.

API Call

POST /reports

The request body requires two params:

  1. providerId - identifies the type of report to generate
  2. params - parameters used to generate the report (varies between report types)

Available Provider IDs

Report Name (HE)Requested ScopeProvider ID
חידושים ביטוח כלליreports:insurance_renewal3d6ad5f5-a4a5-4d1a-9651-2dc3bd0a8dca
חיובי מסלקהreports:swiftness47a85278-2c78-4d01-9cbe-67399df96d73
מוצרים בניהולreports:managed_savings
מוצרים טרום טיפולreports:trom_products552967b9-9a1b-490b-9455-c7afef8dd992
הפקדות לעצמאיםreports:afkadot_leatsmaim82bac88c-d738-4842-9fd8-ac55453382c1
תפוקות פרטreports:tfukot_prat609d5215-332e-4319-bef3-28f423c85708
תום תוקף מינוי סוכןreports:tom_tokef_minui_sohen19351344-c52d-4bd0-8642-cf8c1d28b6e8
השוואת פרודוקציהreports:productia_diff8da68698-df6b-4a4f-be62-dcb0314bc37e
ריסק זמניreports:risk_zmani9c955dc5-2c16-4893-9e0c-0395f1eddea0
ויתור פנסיה / שאריםreports:pensia_vitur1c024cef-54f6-464f-a482-dfbd40318838
פגישותreports:meetings8c122010-5d09-42e3-90e1-6a64c03575b9
ימי הולדת2899ca29-8672-4a12-96f3-7147a09716cd

Report Parameters

הפקדות לעצמאים

  • month - YearMonth (YYYY-MM) - validity month (the products will be considered for the report based on this validity month)

השוואת פרודוקציה

  • referenceMonth - YearMonth (YYYY-MM) - reference month for the comparison
  • targetMonth - YearMonth (YYYY-MM) - target month for the comparison
  • companies - Integer[] - list of company identifiers

ויתור שארים

  • month - YearMonth (YYYY-MM) - validity month (the products will be considered for the report based on this validity month)

חידושים ביטוח כללי

  • startDate - Date (YYYY-MM-DD)
  • endDate - Date (YYYY-MM-DD)
  • includesCarPolicies - Boolean
  • includesHousePolicies - Boolean
  • includesBusinessPolicies - Boolean
  • includesOldPolicies - Boolean

חיובי מסלקה

  • startDate - Date (YYYY-MM-DD)
  • endDate - Date (YYYY-MM-DD)

ימי הולדת

  • startMonth - Integer
  • endMonth - Integer
  • classes - UUID[]
  • statuses - UUID[]
  • activeStatuses - Boolean

מוצרים טרום טיפול

  • companies - Integer[]
  • startMonth - YearMonth (YYYY-MM)
  • endMonth - YearMonth (YYYY-MM)
  • includesCancelled - Boolean

פגישות

  • startDate - Date (YYYY-MM-DD)
  • endDate - Date (YYYY-MM-DD)
  • rawHosts - UUID[]
  • rawSources - UUID[]

ריסק זמני

  • month - YearMonth (YYYY-MM)

תום תוקף מינוי סוכן

  • month - YearMonth (YYYY-MM)
  • companies - Integer[]

תפוקות פרט

  • groupingField - String
  • types - UUID[]
  • licensees - UUID[] - identifies the licensees to include
  • supervisors - UUID[] - identifies the supervisors to include
  • businessClasses - UUID[]
  • currentCompanies - Integer[]
  • newCompanies - Integer[]
  • openDateStart - Date (YYYY-MM-DD)
  • openDateEnd - Date (YYYY-MM-DD)
  • policyIssuanceDateStart - Date (YYYY-MM-DD)
  • policyIssuanceDateEnd - Date (YYYY-MM-DD)



Example Request Body

To generate a report, construct your request body with the appropriate providerId and params. For instance, to get the "הפקדות לעצמאים" report for a specific month:

{
  "providerId": "82bac88c-d738-4842-9fd8-ac55453382c1",
  "params": {
    "month": "2025-09"
  }
}